com.holonplatform.core.query

## Enum QuerySort.SortDirection

- java.lang.Object
- - java.lang.Enum<QuerySort.SortDirection>
  - - com.holonplatform.core.query.QuerySort.SortDirection

- All Implemented Interfaces:
    Serializable, Comparable<QuerySort.SortDirection>
  Enclosing interface:
    QuerySort

      public static enum QuerySort.SortDirection
      extends Enum<QuerySort.SortDirection>

  Sort direction (ascending or descending) definition

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` Ascending (A-Z, 1..9) sort order
    `DESCENDING` Descending (Z-A, 9..1) sort order

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract QuerySort.SortDirection` | `getOpposite()` Direct opposite sort direction
    `static QuerySort.SortDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QuerySort.SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final QuerySort.SortDirection ASCENDING

      Ascending (A-Z, 1..9) sort order

    - #### DESCENDING

          public static final QuerySort.SortDirection DESCENDING

      Descending (Z-A, 9..1) sort order

  - ### Method Detail

    - #### values

          public static QuerySort.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuerySort.SortDirection c : QuerySort.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuerySort.SortDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getOpposite

          public abstract QuerySort.SortDirection getOpposite()

      Direct opposite sort direction
      Returns:
        Opposite sort direction

Copyright © 2019 The Holon Platform. All rights reserved.